Subject: Re: [PATCH 0/9 Rev3] Implement batching skb API and support in IPoIB

From: jamal <[email-masked]>
Date: Thu, 23 Aug 2007 18:25:03 -0400

On Thu, 2007-23-08 at 18:04 -0400, jamal wrote:

> The litmus test is the same as any change that is supposed to improve
> net performance - it has to demonstrate it is not intrusive and that it
> improves (consistently) performance. The standard metrics are
> {throughput, cpu-utilization, latency} i.e as long as one improves and
> others remain zero, it would make sense. Yes, i am religious for
> batching after all the invested sweat (and i continue to work on it
> hoping to demystify) - the theory makes a lot of sense.

Before someone jumps and strangles me ;-> By "litmus test" i meant as
applied to batching. [TSO already passed - iirc, it has been
demostranted to really not add much to throughput (cant improve much
over closeness to wire speed) but improve CPU utilization].

cheers,
jamal